<?php
/**
 * Category Classes Extension
 * File: functions.inc.php, php file
 *
 * @author Niels Baumbach <niels.baumbach@kreativkonzentrat.de>
 * @copyright 2011, ShopSEO.de
 * @link http://www.shopseo.de
 * @version 1.01
 *-------------------------------------------------------------------------------
*/

// replaces umlauts etc. from a string
//    used to format category css classes
function getCleanString($str, $subArr = null) {
	
	$str = strtolower($str);
	// sub array set, use replacement rules
	if($subArr != null)
		$str = str_replace($subArr[0], $subArr[1], $str);
	return preg_replace("/[^a-zA-Z]+/","",$str);
}

// get substitution arrays from string
//    input format: "from1, from2 ,from3:to1,to2,to3"
//     returns array with to fields, those fields are also arrays
function getSubstitutionArray($str)
{
	// error handling
	if(!isset($str) || $str == "" || $str == " ")
		return null;

	// split 1
	$arr1 = explode(":",$str);
	if(count($arr1) != 2)
		return null;
	
	$arr11 = explode(",",$arr1[0]);
	$arr12 = explode(",",$arr1[1]);
	
	if(count($arr11) != count($arr12))
		return null;
	
	return array($arr11, $arr12);
}

function writeCatClassesNavi($elem, $rootCats=false, $subArr=null) {
	$name = utf8_decode(pq($elem)->find(">a>span")->text());
	pq($elem)->addClass(utf8_encode(getCleanString($name, $subArr)));
	
	if($rootCats != true) {
		// subcat recursive
		$sub = pq($elem)->find("> ul.subcat > li");
		if(isset($sub) && $sub != null && $sub!= "") {
			foreach(pq($sub) as $subEntry)
				writeCatClassesNavi($subEntry);
		}
	}
}

?>